System Requirements

Dolly Drive is designed to run on any Intel Mac. We do not currently support Windows machines with our consumer version.

There are two versions of Dolly Drive currently supported.

Dolly Drive REVO - runs on Lion (10.7.x) and Mountain Lion (10.8.x). This has been built to optimize both Mac OS X systems.

Dolly Drive (Legacy) - runs on Snow Leopard (10.6.x) - this still uses Time Machine as its backup engine. We suggest upgrading your OS to Lion or Mountain Lion for the best performance.

Leopard (10.5.x) is not supported.

There are no special configurations required as long as your machine runs its version of OS X satisfactorily.